summaryrefslogtreecommitdiff
path: root/debian/patches/101_mailgraph.pl.diff
diff options
context:
space:
mode:
authorChristian Perrier <bubulle@debian.org>2008-07-16 22:41:04 +0200
committerJulien Valroff <julien@kirya.net>2010-01-04 19:39:21 +0100
commit01b76eb9b6121b19a376a9c447c5d431c7392c1c (patch)
treec2858ea28031a3bcee1036299f91f7f613ee391b /debian/patches/101_mailgraph.pl.diff
parentd906efbb1aacfebd9931d49028f6240a667bae14 (diff)
Imported Debian patch 1.14-1.2debian/1.14-1.2
Diffstat (limited to 'debian/patches/101_mailgraph.pl.diff')
-rw-r--r--debian/patches/101_mailgraph.pl.diff30
1 files changed, 30 insertions, 0 deletions
diff --git a/debian/patches/101_mailgraph.pl.diff b/debian/patches/101_mailgraph.pl.diff
new file mode 100644
index 0000000..bbfff29
--- /dev/null
+++ b/debian/patches/101_mailgraph.pl.diff
@@ -0,0 +1,30 @@
+#! /bin/sh -e
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -Nur mailgraph-1.10.orig/mailgraph.pl mailgraph-1.10/mailgraph.pl
+--- mailgraph-1.10.orig/mailgraph.pl 2004-10-25 19:27:09.000000000 +0000
++++ mailgraph-1.10/mailgraph.pl 2004-11-27 17:51:41.000000000 +0000
+@@ -304,8 +304,8 @@
+
+ # global variables
+ my $logfile;
+-my $rrd = "mailgraph.rrd";
+-my $rrd_virus = "mailgraph_virus.rrd";
++my $rrd = "/var/lib/mailgraph/mailgraph.rrd";
++my $rrd_virus = "/var/lib/mailgraph/mailgraph_virus.rrd";
+ my $year;
+ my $this_minute;
+ my %sum = ( sent => 0, received => 0, bounced => 0, rejected => 0, virus => 0, spam => 0 );